package com.bocloud.cmp.model.azure.network;

import com.bocloud.cmp.model.RouterModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTableModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/12/31 14:29
 */
public class RouterTableModel {

    private String uuid;
    private String name;
    private String resourceGroupName;//资源组名称
    private String regionId;//地域
    private Boolean routePropagation; //传播网关路由
    private List<RouterModel> routerModels;//路由表

    public List<RouterModel> getRouterModels() {
        return routerModels;
    }

    public void setRouterModels(List<RouterModel> routerModels) {
        this.routerModels = routerModels;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Boolean getRoutePropagation() {
        return routePropagation;
    }

    public void setRoutePropagation(Boolean routePropagation) {
        this.routePropagation = routePropagation;
    }
}